        REAL FUNCTION GSLENS(BSTRNG)
        IMPLICIT NONE
        CHARACTER*1 BSTRNG(20)
        REAL GSCWID
C
C       This function returns the length in virtual coordinates of
C          the string BSTRNG.   The current character size is assumed.
C
        INCLUDE DIGLIB$KOM:GCCPAR.PRM
C
	EXTERNAL LEN
	INTEGER LEN
C
        GSLENS = (GSCWID()*CSIZE)*LEN(BSTRNG)
        RETURN
        END
